E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::StoredMessage Class Referenceabstract

An abstract interface for messages which have come from the store. More...

`#include <gstoredmessage.h>`

Inheritance diagram for GSmtp::StoredMessage:

## Public Member Functions
virtual std::string | name () const =0
| Returns some sort of unique identifier for the message.
virtual std::string | location () const =0
| Returns another sort of unique identifier for the message.
virtual const std::string & | from () const =0
| Returns the envelope 'from' field.
virtual const G::StringArray & | to () const =0
| Returns the envelope 'to' fields.
virtual unique_ptr< std::istream > | extractContentStream ()=0
| Extracts the content stream. More...
virtual void | destroy ()=0
| Deletes the message within the store.
virtual void | fail (const std::string &reason, int reason_code)=0
| Marks the message as failed within the store.
virtual void | unfail ()=0
| Marks the message as unfailed within the store.
virtual bool | eightBit () const =0
| Returns true if the message content (header+body) contains a character with the most significant bit set. More...
virtual std::string | authentication () const =0
| Returns the original session authentication id.
virtual std::string | fromAuthIn () const =0
| Returns the incoming "mail from" auth parameter, either empty, xtext-encoded or "<>". More...
virtual std::string | fromAuthOut () const =0
| Returns the outgoing "mail from" auth parameter, either empty, xtext-encoded or "<>". More...
virtual size_t | remoteRecipientCount () const =0
| Returns the number of non-local recipients.
virtual size_t | errorCount () const =0
| Returns the number of accumulated submission errors.
virtual void | sync (bool check)=0
| Synchronises the message object with the underlying storage. More...
virtual | ~StoredMessage ()
| Destructor.

## Detailed Description

An abstract interface for messages which have come from the store.

See also
  GSmtp::MessageStore, GSmtp::MessageStore::get()

Definition at line 38 of file gstoredmessage.h.

## Member Function Documentation

virtual bool GSmtp::StoredMessage::eightBit | ( |  | ) | const
| pure virtual

Returns true if the message content (header+body) contains a character with the most significant bit set.

Implemented in GSmtp::StoredFile.

virtual unique_ptr<std::istream> GSmtp::StoredMessage::extractContentStream | ( |  | ) |
| pure virtual

Extracts the content stream.

Can only be called once.

Implemented in GSmtp::StoredFile.

virtual std::string GSmtp::StoredMessage::fromAuthIn | ( |  | ) | const
| pure virtual

Returns the incoming "mail from" auth parameter, either empty, xtext-encoded or "<>".

Implemented in GSmtp::StoredFile.

virtual std::string GSmtp::StoredMessage::fromAuthOut | ( |  | ) | const
| pure virtual

Returns the outgoing "mail from" auth parameter, either empty, xtext-encoded or "<>".

Implemented in GSmtp::StoredFile.

virtual void GSmtp::StoredMessage::sync | ( | bool | check | ) |
| pure virtual

Synchronises the message object with the underlying storage.

Optionally performs extra sanity checks if the storage may have been edited.

Implemented in GSmtp::StoredFile.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gstoredmessage.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gstoredmessage.cpp